package pp.monopoly.notification;

/**
 * Event when a sound needs to be played.
 *
 * @param soundFileName the sound file to be played
 */
public class SoundEvent implements GameEvent {
    private final String soundFileName;

    public SoundEvent(Sound sound) {
        this.soundFileName = sound.getFileName(); // Angenommen, Sound hat eine Methode getFileName()
    }

    public String getSoundFileName() {
        return soundFileName;
    }

    @Override
    public void notifyListener(GameEventListener listener) {
        listener.receivedEvent(this);
    }
}


